package cn.com.poc.ai_software_copyright.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_software_copyright.entity.BizSoftwareCopyrightDocRecordEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizSoftwareCopyrightDocRecordService extends BaseService {

    BizSoftwareCopyrightDocRecordEntity get(java.lang.Long id) throws Exception;

    List<BizSoftwareCopyrightDocRecordEntity> findByExample(BizSoftwareCopyrightDocRecordEntity example,
                                                            PagingInfo pagingInfo) throws Exception;

    BizSoftwareCopyrightDocRecordEntity save(BizSoftwareCopyrightDocRecordEntity entity) throws Exception;

    BizSoftwareCopyrightDocRecordEntity update(BizSoftwareCopyrightDocRecordEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

}